Description

Supportanfrage

in ADTF2 konnte man einen Pin mit einem Typ versehen, sodass bereits beim Erstellen der Konfig eine Fehlermeldung kam, falls

man einen anderen Datentyp an den Pin anschließen wollte.

Kann ich das auch im ADTF3 realisieren?

Bisher scheint der StreamType keinen Einfluss zu haben, wenn ich den Pin via CreateInputPin("name", typ) erstelle. Beim

Konfigurieren kann ich trotzdem beliebige Streams anschließen. Und "SetAcceptTypeCallback" scheint erst zur Laufzeit eine

Wirkung zu haben.

Lösung

Das wird aktuell nirgends gecheckt, du musst wissen, dass dies in ADTF 3.x nicht mehr so starr ist an der Stelle, der Stream Type

kann sich theoretisch zur Laufzeit ändern, der Reader im Konsumentenfilter (Eingangspin) entscheidet das, aber erst zur Laufzeit,

also nicht im CE zum Konfigurationszeitpunkt.

Deshalb wurde hier der Check (noch) weggelassen.

Es gibt aber Überlegungen, hier entweder einen Guide anzubieten wie der Kunde das machen kann (per CE Scripting oder CE

Plugin Module) oder wir eine Funktionalität anbieten, welche die statischen Infos aus den plugindescription dahingehend prüft und

(konfigurierbar) warnt oder verbietet.

Hier ist aktuell aber noch nichts geschehen, das entsprechende Produktticket habe ich zur Vollständigkeit verlinkt.

History

#1 - 2020-11-10 18:36 - hidden

- Project changed from Public Support to 11

- Status changed from New to Customer Feedback Required

- Topic set to ADTF::CE

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-9837

- Customer set to AUDI

- Department set to EF

- Affected Products ADTF 3.8.0 added

Hallo Claudia,

das wird aktuell nirgends gecheckt, du musst wissen, dass dies in ADTF 3.x nicht mehr so starr ist an der Stelle, der Stream Type kann sich

theoretisch zur Laufzeit ändern, der Reader im Konsumentenfilter (Eingangspin) entscheidet das, aber erst zur Laufzeit, also nicht im CE zum

Konfigurationszeitpunkt.

Deshalb wurde hier der Check (noch) weggelassen.

Es gibt aber Überlegungen, hier entweder einen Guide anzubieten wie der Kunde das machen kann (per CE Scripting oder CE Plugin Module) oder

wir eine Funktionalität anbieten, welche die statischen Infos aus den plugindescription dahingehend prüft und (konfigurierbar) warnt oder verbietet.
Hier ist aktuell aber noch nichts geschehen, das entsprechende Produktticket habe ich zur Vollständigkeit verlinkt.

#2 - 2020-11-11 08:15 - hidden

Hallo Florian,

für meinen Use-Case ist es aus Usability-Sicht etwas schade, wenn mein User Konfig-Fehler erst zur Laufzeit entdeckt. Aber es mag ja auch

Use-Cases geben, bei denen dieses neue flexible Konzept hilfreich ist.

Eine Lösung über die plugindescription wäre nur für statische Pins, wenn ich das Konzept richtig verstanden habe. In meinem Fall verwende ich

dynamische Pins, welche via QML Script erzeugt werden. Ich fände daher eine Scripting-Lösung, bei der alle Pin-Typen berücksichtigt werden

können, sinnvoller.

Meine Frage ist damit auch schon beantwortet und du kannst das Ticket bereits schließen.

Vielen Dank

Claudia

#3 - 2020-11-12 11:45 - hidden

- Project changed from 11 to Public Support

- Subject changed from StreamType während Pin-Verbindung/Konfiguration prüfen to Check Stream Type during connect

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Solved Issue

Hi Claudia,

für meinen Use-Case ist es aus Usability-Sicht etwas schade, wenn mein User Konfig-Fehler erst zur Laufzeit entdeckt.

 Ja, deswegen würde ich eine konfigurierbare Lösung anstreben, dann kann der Anwender selbst entscheiden was passiert.

Eine Lösung über die plugindescription wäre nur für statische Pins, wenn ich das Konzept richtig verstanden habe. In meinem Fall verwende ich

dynamische Pins, welche via QML Script erzeugt werden. Ich fände daher eine Scripting-Lösung, bei der alle Pin-Typen berücksichtigt werden

können, sinnvoller.

 Ich meinte damit wenn man versucht einen statischen zu einem dynmaischen Pin zu verbinden, dann weiß man nicht ob es passt und der CE kann

nichts validieren.

Wenn du mittels Scripting o.ä. Pins anlegst, dann kannst du den Typ ja definieren. Das sollte der CE dann zumindest prüfen, das sollte schon gehen.

Nur der Vollständigkeit halber...

#4 - 2022-01-17 08:17 - hidden

- Status changed from To Be Closed to Closed
